Page MenuHomePhabricator

Submitting comment edits with ctrl+enter doesn't ajax
Closed, ResolvedPublic

Description

When editing a comment and submitting the changes by using the ctrl+enter keyboard shortcut, the form itself is submitted instead of an AJAX call. As a result, the changes are not persisted.

Event Timeline

michiel3 created this task.Mar 24 2014, 2:27 PM
michiel3 raised the priority of this task from to Normal.
michiel3 updated the task description. (Show Details)
michiel3 added a project: Maniphest.
michiel3 added a subscriber: michiel3.
michiel3 raised the priority of this task from Normal to Needs Triage.Apr 6 2014, 7:04 PM

◀ Merged tasks: T4942.

btrahan edited this Maniphest Task.May 2 2014, 4:30 PM
btrahan edited this Maniphest Task.May 2 2014, 4:37 PM
btrahan added a subscriber: btrahan.May 2 2014, 4:39 PM

Attached commit makes the form actually submit - pre-patch its not submitting to the proper URI and ends up being a page refresh.

Attached commit DOES NOT fix the non-ajaxing part. I'm going to poke at it for another ten minutes but its already pretty wonky in to my understanding so I expect to quit without having made progress.

btrahan edited this Maniphest Task.May 3 2014, 12:42 AM
btrahan claimed this task.May 3 2014, 12:42 AM
btrahan edited this Maniphest Task.May 3 2014, 1:00 AM
btrahan closed this task as Resolved.May 3 2014, 1:01 AM

Closed by commit rPc995e93bc1c3.